package org.processmining.resourcerecommendation.algorithms.bpa;

import java.util.ArrayList;
import java.util.Collections;

public class List {
  public ArrayList<ListElement> elements;

  public List() {
	elements = new ArrayList<ListElement>();  
  }
  
  public void sortElements(int n) {
	  Collections.sort(elements);
  }

  public void sortLimitedIntScoreLists(int n, int limit)
  {
    int [] buckets = new int [limit + 1];
    int i, j, u;
    for (j = 0; j < limit + 1; ++j)
      buckets[j] = 0;
    for (i = 0; i < n; ++i)
    {
      j = (int) elements.get(i).score;
      buckets[j] = buckets[j] + 1;
    }
    int tempInt1, tempInt2;
    tempInt1 = buckets[0];
    buckets[0] = 0;
    for (j = 1; j < limit + 1; ++j)
    {
      tempInt2 = buckets[j];
      buckets[j] = tempInt1 + buckets[j-1];
      tempInt1 = tempInt2;
    }
    ListElement [] elems = new ListElement[n];
    for (i = 0; i < n; ++i)
    {
      elems[i] = new ListElement();
    }

    for (i = 0; i < n; ++i)
    {
      j = (int) elements.get(i).score;
      u = buckets[j];
      elems[u] = elements.get(i);
      buckets[j] = buckets[j] + 1;
    }
    for (i = 0; i < n; ++i)
    {
    	elements.set(i, elems[n - i - 1]);
    }

  }

}
