package org.processmining.resourcerecommendation.models;

import java.util.Map;

public interface RecommendationElement {
	
	public String getResourceId();

	public String getResourceDescription();

	public void setOverallScore(double overallScore);
	
	public double getOverallScore();
	
	public void setScore(String dimensionId, double score);
	
	public double getScore(String dimensionId);
	
	public Map<String, Double> getScores();

}
