// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmining.resourcerecommendation.models.impl;

import org.processmining.resourcerecommendation.models.Characterization;

public class CharacterizationImpl implements Characterization{
	
	private String id;
	private String description;
	private String unitId;
	private String typologyId;
	
	protected CharacterizationImpl(String id, String description, String unitId, String typologyId){
		this.id = id;
		this.description = description;
		this.unitId = unitId;
		this.typologyId = typologyId;
	}

	public String getId() {
		return id;
	}

	public String getDescription() {
		return description;
	}

	public String getUnitId() {
		return unitId;
	}

	public String getTypologyId() {
		return typologyId;
	}
	
	
	
	
	

}
