// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmining.resourcerecommendation.models.impl;

import java.util.LinkedHashMap;
import java.util.Map;

import org.processmining.resourcerecommendation.models.Factor;
import org.processmining.resourcerecommendation.models.FactorValue;

public class FactorImpl implements Factor{
	
	private String id;
	private String description;
	private Map<String, FactorValue> values;
	
	protected FactorImpl(String id, String description){
		this.id = id;
		this.description = description;
		this.values = new LinkedHashMap<String, FactorValue>();
	}

	public String getId() {
		return id;
	}

	public String getDescription() {
		return description;
	}
	
	public void addValue(FactorValue value){
		this.values.put(value.getId(), value);
	}

	
	
	
	
	

}
