// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmining.resourcerecommendation.models.impl;

import org.processmining.resourcerecommendation.models.FrequencyResource;

public class FrequencyResourceImpl implements FrequencyResource {
	
	private String resourceId;
	private long total;
	
	protected FrequencyResourceImpl(String resourceId){
		this.resourceId = resourceId;
		this.total = 0;
	}

	public void addFrequency() {
		total = total + 1;
	}

	public String getResourceId() {
		return resourceId;
	}

	public long getTotal() {
		return total;
	}
	
	
	


}
