// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmining.resourcerecommendation.models.impl;

import org.processmining.resourcerecommendation.models.Request;

public class RequestImpl implements Request {
	
	private String id;
	private String description;
	private String characterizationId;
	
	protected RequestImpl(String id, String description, String characterizationId){
		this.id = id;
		this.description = description;
		this.characterizationId = characterizationId;
	}

	public String getId() {
		return id;
	}

	public String getDescription() {
		return description;
	}

	public String getCharacterizationId() {
		return characterizationId;
	}
	
	

}
