package org.processmining.resourcerecommendation.dialogs;

import info.clearthought.layout.TableLayout;
import info.clearthought.layout.TableLayoutConstants;

import javax.swing.JLabel;
import javax.swing.JPanel;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.resourcerecommendation.help.GenerateResourceKnowledgeHelp;
import org.processmining.resourcerecommendation.parameters.GenerateResourceKnowledgeParameters;

public class GenerateResourceKnowledgeDialog extends JPanel {


	private static final long serialVersionUID = 7568392196251751845L;
	
	private int numPanels;
	

	public GenerateResourceKnowledgeDialog(UIPluginContext context, XLog log,
			final GenerateResourceKnowledgeParameters parameters) {
		
			this.numPanels = 1;
		}
	
		public String[] getTitles(){
			String[] titles = { "Welcome"};
			return titles;
		}
		
		public int getNumPanels(){
			return numPanels;
		}
		
		public JPanel getPanel(int n) {
			removeAll();
			
			if (n == 0){
				double size[][] = { {30, TableLayoutConstants.FILL, 30},{30, TableLayoutConstants.FILL, 30}};
				setLayout(new TableLayout(size));
				JLabel welcome = new JLabel(GenerateResourceKnowledgeHelp.PARAMETERS_DESCRIPTION);
				add(welcome, "1,1");
				return this;
				
			}

			return this;
		}

		public void finish() {
			System.out.println("Finished");
		}
}


