// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmining.resourcerecommendation.models.impl;

import java.util.LinkedHashMap;
import java.util.Map;

import org.processmining.resourcerecommendation.models.Typology;

public class TypologyImpl implements Typology {
	
	private String id;
	private String description;
	private Map<String, String> factors;
	
	protected TypologyImpl(String id, String description){
		this.id = id;
		this.description = description;
		this.factors = new LinkedHashMap<String, String>();
	}

	public String getId() {
		return id;
	}

	public String getDescription() {
		return description;
	}
	
	public void addFactor(String factorId, String factorValueId){
		factors.put(factorId, factorValueId);
	}
	
	

}
