package org.processmining.resourcerecommendation.models.impl;

import org.processmining.resourcerecommendation.models.WorkloadResource;

public class WorkloadResourceImpl implements WorkloadResource {
	
	private String resourceId;
	private long total;
	private int bottom;
	private int top;
	private int current;

	protected WorkloadResourceImpl(String resourceId){
		this.resourceId = resourceId;
		this.bottom = 0;
		this.top = 0;
		this.current = 0;
	}

	public void addWorkload(long max, long current) {
		
		if (total<1){
			this.top = (int) max;
			this.current = (int) current;
			total = total + 1;			
		}
	}
	
	public String getResourceId() {
		return resourceId;
	}
	
	public long getTotal() {
		return total;
	}

	public int getTop() {
		return top;
	}

	public int getCurrent() {
		return current;
	}

	public int getBottom() {
		return bottom;
	}

}
